VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::authentication::ComponentData Class Reference

The `ComponentData` class contains the authentication information of the component along with its fingerprint. More...

List of all members.

## Public Member Functions
| ComponentData ()
| Creates a default new instance.
vmware.vapi.metadata.authentication.ComponentInfo | GetInfo ()
| Authentication information of the component.
void | SetInfo (vmware.vapi.metadata.authentication.ComponentInfo info)
| Authentication information of the component.
string | GetFingerprint ()
| Fingerprint of the metadata of the component.
void | SetFingerprint (string fingerprint)
| Fingerprint of the metadata of the component.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ComponentData` class contains the authentication information of the component along with its fingerprint.

## Constructor & Destructor Documentation

vmware::vapi::metadata::authentication::ComponentData::ComponentData | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::authentication::ComponentData::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::authentication::ComponentData::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::authentication::ComponentData::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::authentication::ComponentData::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::authentication::ComponentData::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::authentication::ComponentData::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::authentication::ComponentData::GetFingerprint | ( |  | ) | `[inline]`

Fingerprint of the metadata of the component.

Authentication information could change when there is an infrastructure update. Since the data present in ComponentData.info could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the Component.Fingerprint method, you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can then use the Component.Get to retrieve the new authentication information for the component.

override int vmware::vapi::metadata::authentication::ComponentData::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.authentication.ComponentInfo vmware::vapi::metadata::authentication::ComponentData::GetInfo | ( |  | ) | `[inline]`

Authentication information of the component.

This includes information about all the namespaces in the component.

void vmware::vapi::metadata::authentication::ComponentData::SetFingerprint | ( | string | fingerprint | ) | `[inline]`

Fingerprint of the metadata of the component.

Authentication information could change when there is an infrastructure update. Since the data present in ComponentData.info could be quite large, `fingerprint` provides a convenient way to check if the data for a particular component is updated.

You should store the fingerprint associated with a component. After an update, by invoking the Component.Fingerprint method, you can retrieve the new fingerprint for the component. If the new fingerprint and the previously stored fingerprint do not match, clients can then use the Component.Get to retrieve the new authentication information for the component.

void vmware::vapi::metadata::authentication::ComponentData::SetInfo | ( | vmware.vapi.metadata.authentication.ComponentInfo | info | ) | `[inline]`

Authentication information of the component.

This includes information about all the namespaces in the component.

override string vmware::vapi::metadata::authentication::ComponentData::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- authentication/ComponentData.cs